LibreOffice: Binding Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
Binding Service Reference

represent a binding to one or more nodes in the DOM tree of an XModel. More...

Inheritance diagram for Binding:

## Included Services
service | com::sun::star::form::binding::ValueBinding
| allows the binding to act as value supplier for a form component
service | com::sun::star::form::binding::ListEntrySource
| allows the binding to act as source for list entries of form controls

## Exported Interfaces
interface | com::sun::star::util::XModifyBroadcaster
| allows external instances to observe the value represented by the binding
interface | com::sun::star::form::validation::XValidator
| allows the binding to act as validator for a form component
Exported Interfaces inherited from ValueBinding
interface | com::sun::star::beans::XPropertySet
| allows access to the properties of the binding
interface | XValueBinding
| allows read and write access to the value represented by this binding
interface | com::sun::star::util::XModifyBroadcaster
| allows other components to be notified when the value represented by the ValueBinding instance changes.
interface | com::sun::star::lang::XComponent
| allows life time control for the component
Exported Interfaces inherited from ListEntrySource
interface | XListEntrySource
| allows read access to the entries represented by this component
interface | com::sun::star::lang::XComponent
| allows life time control for the component

## Public Attributes
com::sun::star::container::XNameContainer | BindingNamespaces
| among other properties, there is this one
Public Attributes inherited from ValueBinding
boolean | ReadOnly
| determines whether the value is currently readonly
boolean | Relevant
| determines the relevance of the value represented by the binding

## Additional Inherited Members
Public Member Functions inherited from XValueBinding
sequence< type > | getSupportedValueTypes ()
| determines the types which are supported by this binding for value exchange
boolean | supportsType ([in] type aType)
| determines whether a given type is supported by this binding for value exchange
any | getValue ([in] type aType) raises ( IncompatibleTypesException )
| retrieves the current value
void | setValue ([in] any aValue) raises ( IncompatibleTypesException, InvalidBindingStateException, com::sun::star::lang::NoSupportException )
| sets the current value
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XListEntrySource
long | getListEntryCount ()
| retrieves the number of entries in the list
string | getListEntry ([in] long Position) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| provides access to a single list entry
sequence< string > | getAllListEntries ()
| provides access to the entirety of all list entries
void | addListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| adds a listener which will be notified about changes in the list reflected by the component.
void | removeListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| revokes the given listener from the list of components which will be notified about changes in the entry list.
Public Member Functions inherited from XValidator
boolean | isValid ([in] any Value)
| determines whether the given value is valid
string | explainInvalid ([in] any Value)
| retrieves a justification for the invalidity of the given value
void | addValidityConstraintListener ([in] XValidityConstraintListener Listener) raises ( com::sun::star::lang::NullPointerException )
| registers the given validity listener.
void | removeValidityConstraintListener ([in] XValidityConstraintListener Listener) raises ( com::sun::star::lang::NullPointerException )
| revokes the given validity listener
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XValueBinding
sequence< type > | getSupportedValueTypes ()
| determines the types which are supported by this binding for value exchange
boolean | supportsType ([in] type aType)
| determines whether a given type is supported by this binding for value exchange
any | getValue ([in] type aType) raises ( IncompatibleTypesException )
| retrieves the current value
void | setValue ([in] any aValue) raises ( IncompatibleTypesException, InvalidBindingStateException, com::sun::star::lang::NoSupportException )
| sets the current value
Protected Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

represent a binding to one or more nodes in the DOM tree of an XModel.

## Exported Interfaces

## ◆ com::sun::star::form::binding::ListEntrySource

service com::sun::star::form::binding::ListEntrySource

allows the binding to act as source for list entries of form controls

If a binding is associated with more than one node in a DOM tree, it does not represent a single value, but a list of values. Using this interface, this list can be displayed in form control list and combo boxes.

## ◆ com::sun::star::form::binding::ValueBinding

service com::sun::star::form::binding::ValueBinding

allows the binding to act as value supplier for a form component

See also
  com::sun::star::form::binding::BindableControlModel

## Exported Interfaces

## ◆ com::sun::star::form::validation::XValidator

interface com::sun::star::form::validation::XValidator

allows the binding to act as validator for a form component

See also
  com::sun::star::form::binding::ValidatableControlModel

## ◆ com::sun::star::util::XModifyBroadcaster

interface com::sun::star::util::XModifyBroadcaster

allows external instances to observe the value represented by the binding

This interface is an optional part of the com::sun::star::form::binding::ValueBinding service, but loses its optionality here.

## Member Data Documentation

## ◆ BindingNamespaces

com::sun::star::container::XNameContainer BindingNamespaces
| optionalproperty

among other properties, there is this one

It is unclear to me whether this is an implementation detail or a supported interface.

The value supports the service com::sun::star::xml::NamespaceContainer

See also
  com::sun::star::xml::NamespaceContainer

The documentation for this service was generated from the following file:

- com/sun/star/xforms/Binding.idl